Skip to main content
`Ctrl`+`K`

# PCJacobiGetDiagonal

Returns copy of the diagonal and/or diagonal squareroot `Vec`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCJacobiGetDiagonal(PC pc, Vec diagonal, Vec diagonal_sqrt)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameters

- diagonal - Copy of `Vec` of the inverted diagonal

- diagonal_sqrt - Copy of `Vec` of the inverted square root diagonal

## See Also

KSP: Linear System Solvers, `PCJACOBI`, `PCJacobiSetType()`

## Level

developer

## Location

src/ksp/pc/impls/jacobi/jacobi.c

## Implementations

PCJacobiGetDiagonal_Jacobi() in src/ksp/pc/impls/jacobi/jacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages